Summary: iBCS module
Name: iBCS
Version: 2.0
Release: 6.1
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: GPL
Group: Base/Kernel
Source0: tsx-11.mit.edu:/pub/linux/BETA/ibcs2/ibcs-2.0.970513.tar.gz
Source1: ibcs.init
Patch: ibcs-2.0.970513-glibc.patch
Patch1: ibcs-2.0.970513-nonsmp.patch
BuildRoot: /tmp/ibcs-root
Requires: kernel-2.0.32

%description
This package allows you to run programs in the iBCS2 (Intel Binary
Compatibility Standard, version 2) and related executable formats.

%changelog

* Thu Nov 20 1997 Erik Troan <ewt@redhat.com>

- backported to RH 4.2 w/ 2.0.32 kernel

* Sun Nov 09 1997 Erik Troan <ewt@redhat.com>

- turned on module symbol versions

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>

- Move man page where it belongs.

* Mon Oct 06 1997 Michael K. Johnson <johnsonm@redhat.com>

- Build for non-SMP systems.

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>

- updated to ibcs-2.0.970513.tar.gz
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>

- Built against 2.0.30 kernel for Biltmore.

%prep
%setup -n ibcs
%patch -p1
%patch1 -p1 -b .nonsmp

%ifarch i386
ln -s CONFIG.i386 CONFIG
%endif

%ifarch sparc
cp C -sONFIG.sparc CONFIG
%endif

%build
# setup the kernel version number
echo "/lib/modules/`uname -r`/misc/iBCS" > ibcs-2.0-skel

(cd iBCSemul ; make all )


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/`uname -r`/misc
install -m644 iBCSemul/iBCS $RPM_BUILD_ROOT/lib/modules/`uname -r`/misc/iBCS

mkdir -p $RPM_BUILD_ROOT/usr/man/man9/
install -m 644 -o 0 -g 0 Doc/iBCS.9 $RPM_BUILD_ROOT/usr/man/man9/
# Now get the man page out of the Docs directory so it doesn't go
# in /usr/doc/iBCS*/Doc as well.
rm Doc/iBCS.9

mkdir -p $RPM_BUILD_ROOT/dev/inet
install -m755 MAKEDEV.ibcs $RPM_BUILD_ROOT/dev/MAKEDEV.ibcs
mknod $RPM_BUILD_ROOT/dev/socksys c 30 0
ln -s socksys $RPM_BUILD_ROOT/dev/nfsd
ln -s null $RPM_BUILD_ROOT/dev/X0R
mknod $RPM_BUILD_ROOT/dev/spx c 30 1
mknod $RPM_BUILD_ROOT/dev/inet/ip c 30 32
mknod $RPM_BUILD_ROOT/dev/inet/icmp c 30 33
mknod $RPM_BUILD_ROOT/dev/inet/ggp c 30 34
mknod $RPM_BUILD_ROOT/dev/inet/ipip c 30 35
mknod $RPM_BUILD_ROOT/dev/inet/tcp c 30 36
mknod $RPM_BUILD_ROOT/dev/inet/egp c 30 37
mknod $RPM_BUILD_ROOT/dev/inet/pup c 30 38
mknod $RPM_BUILD_ROOT/dev/inet/udp c 30 39
mknod $RPM_BUILD_ROOT/dev/inet/idp c 30 40
mknod $RPM_BUILD_ROOT/dev/inet/rawip c 30 41
ln -s udp $RPM_BUILD_ROOT/dev/inet/arp
ln -s udp $RPM_BUILD_ROOT/dev/inet/rip
cd $RPM_BUILD_ROOT/dev/inet
for i in *; do
  ln -s inet/$i ../$i
done

%post
if [ -x /sbin/depmod ]; then
	/sbin/depmod -a
fi

%postun
if [ -x /sbin/depmod ]; then
	/sbin/depmod -a
fi

%files -f ibcs-2.0-skel
%doc README RELEASE CREDITS Doc
/usr/man/man9/iBCS.9

/dev/MAKEDEV.ibcs
/dev/inet
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp
